version: "3.8"
services:
  postgres:
    image: postgres:14
    container_name: instacans-postgres
    restart: always
    environment:
      POSTGRES_USER: mikeross
      POSTGRES_PASSWORD: mikeross123
      POSTGRES_DB: instacans-db
    ports:
      - "5444:5432"
    volumes:
      - postgres_data:/var/lib/postgresql/data

  redis:
    image: "redis:alpine"
    container_name: instacans-redis
    restart: always
    ports:
      - "5113:6379"
    volumes:
      - redis_data:/data

volumes:
  postgres_data:
  redis_data:
